package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 小牛用户表对象 tb_xnszz_member
 * 
 * @author Ashe
 * @date 2025-11-14
 */
public class TbXnszzMember extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目需求 */
    @Excel(name = "项目需求")
    private String projectRequire;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String contactWay;

    /** 所在城市 */
    @Excel(name = "所在城市")
    private String city;

    /** 称呼 */
    @Excel(name = "称呼")
    private String name;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectRequire(String projectRequire) 
    {
        this.projectRequire = projectRequire;
    }

    public String getProjectRequire() 
    {
        return projectRequire;
    }
    public void setContactWay(String contactWay) 
    {
        this.contactWay = contactWay;
    }

    public String getContactWay() 
    {
        return contactWay;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectRequire", getProjectRequire())
            .append("contactWay", getContactWay())
            .append("city", getCity())
            .append("name", getName())
            .toString();
    }
}
